#include <stdio.h>
#include <math.h>


int
main(){
	double a, b, c, x, rez;
	printf("Enter a b c x\n");
	scanf("%lf %lf %lf %lf", &a, &b, &c, &x);
	rez =  -1*(x-a)/cbrtf(x*x + a*a) 
		-1*(4*pow((x*x + b*b), 3/4))/
			(2+a+b+pow((x-c), 2/3));
	printf("%lf\n", rez);
return 0;}

